PgBeam Docs
Webhooks

Send a test event

POST
/v1/projects/{project_id}/webhooks/{webhook_id}/test

Enqueues a test event delivery to the webhook endpoint.

Authorization

AuthorizationBearer <token>

JWT issued by Better Auth. Verified via JWKS.

In: header

Path Parameters

project_id*string

Unique project identifier (prefixed, e.g. prj_xxx).

webhook_id*string

Unique webhook endpoint identifier (prefixed, e.g. whk_xxx).

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects/string/webhooks/string/test"
{  "delivery_id": "string",  "status": "string",  "status_code": 0,  "error": "string"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}